Skip to main content

Create an mTAN credential

POST 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/mtans

Since: 2.74.0

Required permission(s): AccessControl.CredentialCreate

Creates a new mTAN credential for the specified user.

The mobileNumber field is required. If it cannot be parsed to the expected format, the request fails with a validation error.

If no policyExtId is specified, the default mTAN policy configured for the client is used. If no default policy exists, the request fails.

The response includes a Location header pointing to the created credential, identified by the generated or provided external ID.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123

Body

required
    mobileNumber stringrequired

    Possible values: non-empty

    The mobile phone number in E.164 format to associate with the mTAN credential.

    extId string

    The external ID of the mTAN credential. If omitted, one will be generated automatically.

    policyExtId string

    The external ID of the policy to apply to this credential. If omitted, the default policy is used.

Responses

mTAN credential created successfully

Response Headers
  • Location any

    URL of the created resource

Loading...